--望州城
--剧情本：地狱台

--脚本号
x103001_g_scriptId=103001

function x103001_OnDefaultEvent( scene,selfId ,targetId)
	-- body
	BeginEvent(scene)
	AddText(scene,"[43596b]我被囚禁了一萬年，現在你們又來到了我的領地！[-]")

	AddNumText(scene,x103001_g_scriptId,"劇情副本:地獄臺",-1,1)

	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
end

function x103001_OnEventRequest( scene,selfId,targetId,eventId ,index)
	if index == 1 then
		BeginEvent(scene)
		AddText(scene,"這簡直是自尋死路！")
		AddNumText(scene,x103001_g_scriptId,"難度：普通",-2,10101)
		AddNumText(scene,x103001_g_scriptId,"難度：精英",-2,10102)
		AddNumText(scene,x103001_g_scriptId,"難度：史詩",-2,10103)
		AddNumText(scene,x103001_g_scriptId,"便捷組隊",-2,10104,0,102)
		AddNumText(scene,x103001_g_scriptId,"副本說明",-1,10105)
		AddNumText(scene,x103001_g_scriptId,"返回",-1,10106)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index == 10101 then
		GotoCopyScene(scene,selfId,231)
	elseif index == 10102 then
		GotoCopyScene(scene,selfId,232)
	elseif index == 10103 then
		GotoCopyScene(scene,selfId,233)
	elseif index == 10104 then
		x103001_OnDefaultEvent(scene,selfId ,targetId)
	elseif index == 10105 then
		x103001_OnDefaultEvent(scene,selfId ,targetId)
	elseif index == 10106 then
		x103001_OnDefaultEvent(scene,selfId ,targetId)
	end
end